echo off

rem check syntax
if XX%1==XX goto usage

if XX%2==XX goto usage
if  %2==*   goto df_tcd_action
echo ---------- Turbo c directory is -- %2 --
if not exist %2\*.* goto bad_name
echo TCDIR=%2> mct.mac
goto chk_3

:df_tcd_action
echo .
echo ++++++++++ You have to specify the Turbo C directory path 
goto usage 

:chk_3
if XX%3==XX goto df_rtd_msg
if  %3==*   goto df_rtd_msg
echo ---------- r-tree directory is -- %3 --
if not exist %3\*.* goto bad_name
echo RTREE=%3>> mct.mac
goto chk_4

:df_rtd_msg
echo .
echo Default r-tree directory in the 'make' files will be used

:chk_4
if XX%4==XX goto tc15msg
echo .
echo ---------------------------------------------------------
echo This installation procedure assumes Turbo C 1.0 is in use
echo ---------------------------------------------------------
echo .
echo TC10=x>> mct.mac
goto install

:tc15msg
echo .
echo ---------------------------------------------------------
echo This installation procedure assumes Turbo C 1.5 or later
echo ---------------------------------------------------------
echo .
goto install

:bad_name
echo ++++++++++ And I can't find it!!!
echo .
goto usage

:install
pause ===== Now go to make the libraries =====

if %1==S goto small
if %1==s goto small
if %1==C goto compact
if %1==c goto compact
if %1==M goto medium
if %1==m goto medium
if %1==L goto large
if %1==l goto large

echo ************
echo SYNTAX ERROR
echo ************

:usage
echo . Program to build c-tree library, utilities, and sample programs
echo .                      +---------+------+-------+--------+-----+  
echo "                      |         | S or | Turbo |        |     |       "
echo "                      | MAKEAPP | C or |   C   | r-tree | [x] |       "
echo "                      |         | M or | path- | path   |     |       "
echo "                      |         | L    | name  |        |     |       "
echo .                      +---------+------+-------+--------+-----+  
echo .              examples:
echo .                        MAKEAPP   L    e:\turboc  e:\rt11d2   x
echo .                        MAKEAPP   L    e:\tc
echo .
echo . where S = small, C = compact, M = medium, L = large  memory model
echo .       Turbo C path - if Turbo C is not in the same drive, add drive name
echo .       r-tree path  - r-tree main directory
echo .       x            - optional.  If x is NOT entered, Turbo C v1.5 or later
echo .                      will be used, otherwise v1.0 setting will be selected.
echo .       *            - ===  signifies default value will be used  ===
echo .
echo .......................................................................
echo          The libary and object files are created in directory nAPP
echo                       (eg. LAPP for large model)
echo .......................................................................
goto done

:small
if not exist SAPP\*.* md SAPP
%2\make -DMM=s -fmakeapp.mak
goto done

:compact
if not exist CAPP\*.* md CAPP
%2\make -DMM=c -fmakeapp.mak
goto done

:medium
if not exist MAPP\*.* md MAPP
%2\make -DMM=m -fmakeapp.mak
goto done

:large
if not exist LAPP\*.* md LAPP
%2\make -DMM=l -fmakeapp.mak
goto done

:done
REM if exist mct.mac del mct.mac
